Bug 1750482 - From VM Portal, users cannot create Operating System Windows VM.
Summary: From VM Portal, users cannot create Operating System Windows VM.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-web-ui
Version: 4.3.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.4.0
: ---
Assignee: biakymet
QA Contact: Ivana Saranova
URL:
Whiteboard:
Depends On:
Blocks: 1547768 1773580
TreeView+ depends on / blocked
 
Reported: 2019-09-09 17:06 UTC by Bimal Chollera
Modified: 2020-09-20 13:41 UTC (History)
9 users (show)

Fixed In Version: ovirt-web-ui-1.6.0-2
Doc Type: Bug Fix
Doc Text:
Previously, when you used the VM Portal to configure a virtual machine (VM) to use Windows OS, it failed with the error, "Invalid time zone for given OS type." This happened because the VM's timezone for Windows OS was not set properly. The current release fixes this issue. If the time zone in the VM template or VM is not compatible with the VM OS, it uses the default time zone. For Windows, this default is "GMT Standard Time". For other OSs, it is "Etc/GMT". Now, you can use the VM Portal to configure a VM to use Windows OS.
Clone Of:
: 1773580 (view as bug list)
Environment:
Last Closed: 2020-08-04 13:20:31 UTC
oVirt Team: UX
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github oVirt ovirt-web-ui pull 1118 0 'None' closed Fixed Windows VM creation bug 2021-01-18 17:32:30 UTC
Red Hat Knowledge Base (Solution) 4401361 0 None None None 2019-09-09 17:34:09 UTC
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:21:03 UTC

Description Bimal Chollera 2019-09-09 17:06:20 UTC
Description of problem:

Unable to create Windows VM from the VM Portal.
Fails with the following error:

~~~
CREATE_VM failed [Cannot add VM. Invalid time zone for given OS type., Attribute: vmStatic]
~~~

Errors in the engine.log:

~~~
2019-09-09 12:42:49,931-04 WARN  [org.ovirt.engine.core.bll.AddVmFromScratchCommand] (default task-31) [eccd49e9-db7b-41a7-b532-f39a60c33466] Validation of action 'AddVmFromScratch' failed for user rhevtest@rhev.example.com-authz. Reasons: VAR__ACTION__ADD,VAR__TYPE__VM,ACTION_TYPE_FAILED_INVALID_TIMEZONE,$groups [Ljava.lang.Class;@21962d5,$message ACTION_TYPE_FAILED_INVALID_TIMEZONE,$payload [Ljava.lang.Class;@17357b86,ACTION_TYPE_FAILED_ATTRIBUTE_PATH,$path vmStatic,$validatedValue org.ovirt.engine.core.common.businessentities.VmStatic@a72f3260
~~~

The VM create for OS Linux are created without any errors.

Version-Release number of selected component (if applicable):

~~~
ovirt-engine-4.3.5.4-0.1.el7.noarch
~~~

How reproducible:

100%

Steps to Reproduce:
1.  From the user VM portal, create a Windows VM.
2.
3.

Actual results:

Fails to create Windows VM.

Expected results:

Windows VM's should be created without any errors.

Additional info:

Windows VM can be created without any errors from the Administration Portal.

Comment 20 Ivana Saranova 2019-12-17 16:51:36 UTC
Steps:
1) Create VM with Windows OS type in VM portal
2) Create VM with Windows OS type from windows template in VM portal

Results:
VM was created without any errors.

Verified in:
ovirt-engine-4.4.0-0.9.master.el7.noarch
ovirt-web-ui-1.6.0-2.el7ev.noarch

Comment 25 errata-xmlrpc 2020-08-04 13:20:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247


Note You need to log in before you can comment on or make changes to this bug.